%define mozilla_version 0.9.8

Summary:        Gnome browser based on Gecko (Mozilla)
Name:           galeon
Version:        1.0.3
Release:        4mdk
License:        GPL
Group:          Networking/WWW
Source:         http://download.sourceforge.net/galeon/%{name}-%{version}.tar.bz2
Source1:        %{name}_48.xpm.bz2
Source2:        %{name}_32.xpm.bz2
Source3:        %{name}_16.xpm.bz2
Source4:        %{name}_48.png
Source5:        %{name}_32.png
Source6:        %{name}_16.png
# (fc) 0.12.2 use indexhtml as default page
Patch0:			galeon-0.12.2-home.patch.bz2
# (fc) 1.0.3-3mdk set MOZ_PLUGIN_PATH in galeon startup script
Patch1:			galeon-1.0.3-plugins.patch.bz2
URL:            http://galeon.sourceforge.net
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	gcc-c++
BuildRequires:	gettext
BuildRequires:	GConf-devel >= 1.0.4
BuildRequires:	gdk-pixbuf-devel
BuildRequires:	libglade-devel
BuildRequires:	gnome-vfs-devel
BuildRequires:	mozilla-devel = %{mozilla_version}
BuildRequires:	openssl-devel
BuildRequires:	texinfo

PreReq:         GConf >= 1.0.4
PreReq:         mozilla = %{mozilla_version}
PreReq:			scrollkeeper
Requires:		indexhtml
Provides:       webclient

%description
Gnome browser based on Gecko (Mozilla rendering engine)

%prep
%setup -q
%patch0 -p1 -b .home
%patch1 -p1 -b .plugins

%build

%configure --disable-install-schemas

%make

%install
rm -rf %buildroot

%makeinstall_std


mkdir -p  %buildroot{%{_menudir},%{_iconsdir},%{_liconsdir},%{_miconsdir}}
cat << EOF > %buildroot%{_menudir}/%{name}
?package(%{name}): \
	command="soundwrapper %{_bindir}/%{name}" \
	icon="%{name}.png" \
	needs="x11" \
	section="%{group}" \
	title="Galeon" \
	longtitle="%{summary}"
EOF
bzcat %{SOURCE1} >  %buildroot%{_liconsdir}/%{name}.xpm
bzcat %{SOURCE2} > %buildroot%{_iconsdir}/%{name}.xpm
bzcat %{SOURCE3} > %buildroot%{_miconsdir}/%{name}.xpm

cp -f %{SOURCE4} %buildroot%{_liconsdir}/%{name}.png
cp -f %{SOURCE5} %buildroot%{_iconsdir}/%{name}.png
cp -f %{SOURCE6} %buildroot%{_miconsdir}/%{name}.png

%find_lang %{name}

%post
if [ -x /usr/bin/scrollkeeper-update ]; then /usr/bin/scrollkeeper-update || true ; fi
%{_bindir}/galeon-config-tool --pkg-install-schemas
if [ "$DURING_INSTALL" != "" ]; then
	killall oafd 2>&1 > /dev/null
fi
update-alternatives --install /usr/bin/webclient-gnome webclient-gnome /usr/bin/galeon 30
update-alternatives --install /usr/bin/webclient-kde   webclient-kde   /usr/bin/galeon 20
%{update_menus}

%postun
if [ "$1" = "0" ]; then
		update-alternatives --remove webclient-gnome /usr/bin/galeon
		update-alternatives --remove webclient-kde /usr/bin/galeon
fi
%{clean_menus}
if [ -x /usr/bin/scrollkeeper-update ]; then /usr/bin/scrollkeeper-update || true ; fi

%clean
rm -rf %buildroot

%files -f %{name}.lang
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README INSTALL TODO THANKS FAQ
%config(noreplace) %{_sysconfdir}/sound/events/*
%config(noreplace) %{_sysconfdir}/gconf/schemas/galeon.schemas
%{_bindir}/*
%{_libdir}/galeon
%{_datadir}/galeon
%{_datadir}/sounds/*
%{_datadir}/gnome/apps/Internet/*
%{_datadir}/gnome/help/*
%{_datadir}/pixmaps/*
%{_datadir}/oaf/*
%{_datadir}/omf/*
%{_mandir}/man1/*
%{_menudir}/%{name}
%{_iconsdir}/%{name}.*
%{_liconsdir}/%{name}.*
%{_miconsdir}/%{name}.*

%changelog
* Thu Feb 28 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.3-4mdk
- Use new icons (and provides also png)

* Wed Feb 27 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.3-3mdk
- Patch1: set MOZ_PLUGIN_PATH in start script (Thanks to Michael Reinsch)

* Tue Feb 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.3-2mdk
- Add alternatives for simplified menu

* Wed Feb  6 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.3-1mdk
- Release 1.0.3

* Fri Jan 25 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-3mdk
- Provides webclient

* Sat Jan 19 2002 Stefan van der Eijk <stefan@eijk.nu> 1.0.2-2mdk
- BuildRequires

* Wed Jan  2 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.2-1mdk
- Release 1.0.2
- Use soundwrapper to prevent freeze with flash plugin

* Thu Dec  6 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-1mdk
- Release 1.0.1

* Wed Nov 28 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-2mdk
- Enforce dependency on mozilla version

* Mon Nov 26 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-1mdk
- Release 1.0

* Mon Nov 19 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12.8-1mdk
- Release 0.12.8

* Mon Nov 12 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12.7-1mdk
- Release 0.12.7
- Remove patch1 (merged upstream)

* Mon Oct 29 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12.6-1mdk
- Release 0.12.6

* Wed Oct 24 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12.5-1mdk
- Release 0.12.5
- Add omf support
- Patch1: fix location of galeon components

* Sun Oct 07 2001 Stefan van der Eijk <stefan@eijk.nu> 0.12.2-2mdk
- BuildRequires: popt-devel
- Remove obselete BuildRequires

* Thu Sep 27 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12.2-1mdk
- Release 0.12.2
- Remove source 4 (merged upstream)

* Thu Sep 20 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12.1-2mdk
- Remove dependency on gtm (not used by default
- Update translations

* Sun Sep 16 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12.1-1mdk
- Release 0.12.1
- Recompiled against Mozilla 0.9.4

* Mon Aug 20 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12-1mdk
- Release 0.12

* Mon Aug 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12-0.pre3.1mdk
- Release 0.12pre3

* Mon Aug  6 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12-0.pre1.1mdk
- Remove patch0 (merged upstream)

* Fri Aug  3 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.3-2mdk
- Patch0: fix build with Mozilla 0.9.3 (from GNOME CVS)
- Fix Build dependency
- Recompiled against mozilla 0.9.3

* Wed Jul 25 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.3-1mdk
- Release 0.11.3

* Mon Jul 23 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.2-1mdk
- Release 0.11.1

* Wed Jul  4 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.1-1mdk
- Release 0.11.1
- Remove patch0 (merged upstream)

* Mon Jul  2 2001 Matthias Badaire <mbadaire@mandrakesoft.com> 0.11.0-4mdk
- ExcludeArch : ia64

* Mon Jul  2 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.0-3mdk
- Patch0: recompiled against mozilla 0.9.2

* Thu Jun 14 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.0-2mdk
- Rebuild mozilla database (to be sure galeon will run correctly)

* Mon Jun 11 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.0-1mdk
- Release 0.11.0

* Mon May 14 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10.6-1mdk
- Release 0.10.6

* Wed May  2 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10.5-1mdk
- Release 0.10.5

* Mon Apr 09 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.10.4-1mdk
- new version

* Mon Mar 12 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10.2-1mdk
- Release 0.10.2

* Wed Mar  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10.1-2mdk
- Add requires on gtm
- add more buildrequires 

* Tue Feb 27 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10.1-1mdk
- Release 0.10.1

* Mon Feb 12 2001 Guillaume Rousse <g.rousse@mandrake-linux.com> 0.9-0.pre3.3mdk
- corrected versioning scheme again...
- used noreplace for config file

* Mon Feb 12 2001 Guillaume Rousse <g.rousse@mandrake-linux.com> 0.9pre3-2mdk
- changed versioning scheme
- corrected changelog

* Fri Feb 09 2001 Guillaume Rousse <g.rousse@mandrake-linux.com> 0.9-0.pre3.1mdk
- 0.9pre3

* Wed Jan 17 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9-0.pre1.1mdk
- Pre-release 0.9pre1
- Compiled with mozilla 0.7
- Correct dependencies

* Fri Dec 29 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.8.3-1mdk
- new and shiny source.

* Thu Dec 14 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.8.2-1mdk
- new and shiny source.

* Fri Nov 03 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.8-1mdk
- new and shiny galeon.

* Tue Oct 17 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.7a-1mdk
- Merge specfile from Alexander Skwar <ASkwar@Linux-Mandrake.com>
- Release 0.7.7a - for Mozilla M18
- Disabled gcc-compatibility-hack (thanks to gcc 2.96?)

* Thu Oct 12 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.6-1mdk
- SRPM from Alexander Skwar <ASkwar@Linux-Mandrake.com> :
		- Build with --enable-gcc-compatibility-hack: Find will not work :-( 
		  Otherwise building will not work...
		- Quiet setup
		- New version
		- Used more macros in spec file
		- Explicetely set location of mozilla include files

* Thu Aug 31 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.2-2mdk
- Rebuild with new mozilla package

* Thu Aug 24 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.2-1mdk
- First mandrake package
